CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2008-3790

The REXML module in Ruby 1.8.6 through 1.8.6-p287, 1.8.7 through 1.8.7-p72, and 1.9 allows context-dependent attackers to cause a denial of service (CPU consumption) via an XML document with recursively nested entities, aka an "XML entity explosion."
Publish Date : 2008-08-27 Last Update Date : 2017-09-28
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID 20

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2008-08-25 2008-08-23
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2008-3790 oval:org.opensuse.security:def:20083790 unix
DSA-1651 ruby1.8 -- several vulnerabilities oval:org.mitre.oval:def:7935 unix
DSA-1651-1 ruby1.8 - several vulnerabilities oval:org.mitre.oval:def:20309 unix
DSA-1652 ruby1.9 -- several vulnerabilities oval:org.mitre.oval:def:8055 unix
DSA-1652-1 ruby1.9 - several vulnerabilities oval:org.mitre.oval:def:18456 unix
ELSA-2008:0897: ruby security update (Moderate) oval:org.mitre.oval:def:21785 unix
RHSA-2008:0897 -- ruby security update (Moderate) oval:org.mitre.oval:def:28242 unix
RHSA-2008:0897: ruby security update (Moderate) oval:com.redhat.rhsa:def:20080897 unix
The REXML module in Ruby 1.8.6 through 1.8.6-p287, 1.8.7 through 1.8.7-p72, and 1.9 allows context-dependent attackers t... oval:org.mitre.oval:def:10393 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2008-3790

# Product Type Vendor Product Version Update Edition Language
1 Application Ruby-lang Ruby 1.8.6 P230 Version Details Vulnerabilities
2 Application Ruby-lang Ruby 1.8.6 Preview3 Version Details Vulnerabilities
3 Application Ruby-lang Ruby 1.8.6 P286 Version Details Vulnerabilities
4 Application Ruby-lang Ruby 1.8.6 Version Details Vulnerabilities
5 Application Ruby-lang Ruby 1.8.6 P287 Version Details Vulnerabilities
6 Application Ruby-lang Ruby 1.8.6 P110 Version Details Vulnerabilities
7 Application Ruby-lang Ruby 1.8.6 P36 Version Details Vulnerabilities
8 Application Ruby-lang Ruby 1.8.6 P111 Version Details Vulnerabilities
9 Application Ruby-lang Ruby 1.8.6 Preview1 Version Details Vulnerabilities
10 Application Ruby-lang Ruby 1.8.6 P114 Version Details Vulnerabilities
11 Application Ruby-lang Ruby 1.8.6 Preview2 Version Details Vulnerabilities
12 Application Ruby-lang Ruby 1.8.7 P72 Version Details Vulnerabilities
13 Application Ruby-lang Ruby 1.8.7 Preview1 Version Details Vulnerabilities
14 Application Ruby-lang Ruby 1.8.7 Version Details Vulnerabilities
15 Application Ruby-lang Ruby 1.8.7 Preview2 Version Details Vulnerabilities
16 Application Ruby-lang Ruby 1.8.7 P17 Version Details Vulnerabilities
17 Application Ruby-lang Ruby 1.8.7 Preview3 Version Details Vulnerabilities
18 Application Ruby-lang Ruby 1.8.7 P22 Version Details Vulnerabilities
19 Application Ruby-lang Ruby 1.8.7 Preview4 Version Details Vulnerabilities
20 Application Ruby-lang Ruby 1.8.7 P71 Version Details Vulnerabilities
21 Application Ruby-lang Ruby 1.9 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Ruby-lang Ruby 21

- References For CVE-2008-3790

http://www.us-cert.gov/cas/techalerts/TA09-133A.html
CERT TA09-133A
https://www.redhat.com/archives/fedora-package-announce/2008-October/msg00299.html
FEDORA FEDORA-2008-8736
https://www.redhat.com/archives/fedora-package-announce/2008-October/msg00259.html
FEDORA FEDORA-2008-8738
https://exchange.xforce.ibmcloud.com/vulnerabilities/44628
XF ruby-rexml-dos(44628)
http://www.vupen.com/english/advisories/2009/1297
VUPEN ADV-2009-1297
http://www.vupen.com/english/advisories/2008/2483
VUPEN ADV-2008-2483
http://www.vupen.com/english/advisories/2008/2428
VUPEN ADV-2008-2428
http://www.ubuntulinux.org/support/documentation/usn/usn-691-1
UBUNTU USN-691-1
http://www.securitytracker.com/id?1020735
SECTRACK 1020735
http://www.ubuntulinux.org/support/documentation/usn/usn-651-1
UBUNTU USN-651-1
http://www.securityfocus.com/bid/30802
BID 30802 Ruby REXML Remote Denial Of Service Vulnerability Release Date:2009-05-13
http://www.ruby-lang.org/security/20080823rexml/rexml-expansion-fix.rb CONFIRM
http://www.ruby-lang.org/en/news/2008/08/23/dos-vulnerability-in-rexml/ CONFIRM
http://www.openwall.com/lists/oss-security/2008/08/26/1
MLIST [oss-security] 20080826 Re: CVE Request (ruby)
http://www.openwall.com/lists/oss-security/2008/08/26/4
MLIST [oss-security] 20080826 Re: CVE Request (ruby)
http://www.redhat.com/support/errata/RHSA-2008-0897.html
REDHAT RHSA-2008:0897
http://www.debian.org/security/2008/dsa-1652
DEBIAN DSA-1652
http://www.openwall.com/lists/oss-security/2008/08/25/4
MLIST [oss-security] 20080825 CVE Request (ruby)
http://www.debian.org/security/2008/dsa-1651
DEBIAN DSA-1651
http://support.avaya.com/elmodocs2/security/ASA-2008-424.htm CONFIRM
http://weblog.rubyonrails.org/2008/9/3/rails-2-0-4-maintenance-release CONFIRM
http://lists.apple.com/archives/security-announce/2009/May/msg00002.html
APPLE APPLE-SA-2009-05-12
http://support.apple.com/kb/HT3549 CONFIRM
http://security.gentoo.org/glsa/glsa-200812-17.xml
GENTOO GLSA-200812-17
http://groups.google.com/group/comp.lang.ruby/browse_thread/thread/19f69e8a081fc0d1/e138e014b74352ca

- Metasploit Modules Related To CVE-2008-3790

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.